Update a line item

Update all details of an existing line item by ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

A unique integer value identifying this line item.

Body Params
integer
required

The unique identifier of the campaign the line item belongs to.

string
required
length ≤ 191

The descriptive name of the line item, e.g. "Spring lead generation".

boolean
Defaults to false
string | null
required

The type of the line item. One of: "banner", "video", "native".

integer | null

The unique identifier of the bid modifier. If it is set, max_bid must also be specified.

integer | null

The unique identifier of the delivery modifier.

integer | null

The unique identifier of the targeting expression.

date-time | null
date-time | null
string | null

An ID that may be used for any reporting or administrative purpose. Limited to 191 characters.

string | null

Free-form notes of up to 255 characters.

string

The currency code in which both lifetime and daily budgets are expressed, e.g. USD.

boolean

Whether the line item is programmatically guaranteed.

string | null

The minimum bid after taking into consideration any bid modifier, e.g. 1.23.

string | null

The maximum bid after taking into consideration any bid modifier, e.g. 7.89.

bidding
object | null

A serializer mixin to handle advanced pacing fields for the Bidding model.

This mixin dynamically adjusts the serializer's behavior based on the state of the
ENABLE_PACEMAKER_V2 feature flag and the pacing configuration of the bidding instance.

  • If Pacemaker V2 is disabled, advanced pacing fields are removed from the serialized output.
  • If Pacemaker V2 is enabled or if the bidding.pacing attribute requires processing, default
    values are applied to pacing-related fields when they are not already set.
skad_network
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

revenue
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

string | null

The type of the budget. One of: "spend", "impressions", "spend including vendor fees".

spend_budget
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

impressions_budget
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

enum

Options field to calculate carry-budget over and total budget for flights depends on selection calculate carry/total budget.Requires at least two flights; if only one or no flights are configured, the request will be rejected.

  • None - None
  • carry_over - Carry Over
  • evenly_distribute - Evenly Distribute
  • prorated_distribute - Prorated Distribute
vendor_fees
array of objects

The list of the vendor fees objects.

vendor_fees
active_flights
array of objects

The list of flights with an end date greater than the current time.

active_flights
ghost_bidding
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

event_ids
array of integers

The list of the unique identifiers representing the associated events.

event_ids
frequency_caps
object | null

A mixin that should be inherited by a custom serializer to include the logic for validating warnings.

This mixin works by recursively descending into nested levels of the root serializer,
collecting warnings in a dictionary structure, and raising them at a higher level.

To implement warnings in a custom serializer, two types of methods must be used.
The first type is used to handle field errors: warn_<field name>().
The second type is used for non-field warnings: warn().

Usage:
class NestedSerializer(WarningsSerializerMixin, serializers.Serializer):
baz = serializers.IntegerField()

    def warn_baz(self, value):
        ...

    def warn(self, attrs):
        ....

class RootSerializer(WarningsSerializerMixin, serializers.Serializer):
    foo = NestedSerializer()
    bar = serializers.CharField()

    def warn_bar(self, value):
        ...

    def warn(self, attrs):
        ...
segment_extension
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

integer | null

The unique identifier of the test group. This field is used when using Experiments to separate users into different groups for testing purposes.

user_timezones
array of strings
user_timezones
Responses

400

Invalid update data provided.

404

The specified line item does not exist.

409

Line item update conflict.

Language
Credentials
:
URL
LoadingLoading…
Response
Choose an example:
application/json